Bug 1059070 - (CVE-2013-6650) CVE-2013-6650 v8: incorrect handling of popular pages
CVE-2013-6650 v8: incorrect handling of popular pages
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140108,repor...
: Security
Depends On: 1059074 1059075 1139698
Blocks: 1059071 1139716
  Show dependency treegraph
 
Reported: 2014-01-29 00:17 EST by Murray McAllister
Modified: 2016-04-26 13:47 EDT (History)
55 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-30 08:59:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Backport fix with test (5.35 KB, patch)
2014-02-24 03:54 EST, Tomas Hrcka
no flags Details | Diff

  None (edit)
Description Murray McAllister 2014-01-29 00:17:52 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-6650 to
the following vulnerability:

Name: CVE-2013-6650
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-6650
Assigned: 20131105
Reference: http://crbug.com/331444
Reference: http://googlechromereleases.blogspot.com/2014/01/stable-channel-update_27.html
Reference: https://code.google.com/p/v8/source/detail?r=18483

The StoreBuffer::ExemptPopularPages function in store-buffer.cc in
Google V8 before 3.22.24.16, as used in Google Chrome before
32.0.1700.102, allows remote attackers to cause a denial of service
(memory corruption) or possibly have unspecified other impact via
vectors that trigger incorrect handling of "popular pages."

Upstream fix:

https://code.google.com/p/v8/source/diff?spec=svn18483&old=16662&r=18483&format=unidiff&path=%2Fbranches%2Fbleeding_edge%2Fsrc%2Fstore-buffer.cc
Comment 2 Murray McAllister 2014-01-29 00:46:47 EST
Created v8 tracking bugs for this issue:

Affects: fedora-all [bug 1059074]
Affects: epel-6 [bug 1059075]
Comment 3 Murray McAllister 2014-01-29 01:44:56 EST
This is possibly impact moderate or low with the way v8 is used in Red Hat products and Fedora. Investigation ongoing.
Comment 4 Tomas Hrcka 2014-02-24 03:54:59 EST
Created attachment 866900 [details]
Backport fix with test

Hi, I don't have commit rights to v8 package, so here is a patch against fedora master branch with back-ported fix,test and bumped release.
Comment 5 Fedora Update System 2014-03-08 23:34:17 EST
v8-3.14.5.10-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-03-08 23:36:23 EST
v8-3.14.5.10-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-03-19 16:22:58 EDT
v8-3.14.5.10-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 errata-xmlrpc 2014-10-30 08:09:11 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1744 https://rhn.redhat.com/errata/RHSA-2014-1744.html

Note You need to log in before you can comment on or make changes to this bug.